#include <pic.h>

static unsigned char Tick50us;
static unsigned int Tick1ms;

void InitTimer(void)
{
	TMR0 = -250;
	T0CS = 0;		// Timer increments on instruction clock
	T0IE = 1;		// Enable interrupt on TMR0 overflow
	GIE = 1;		// Global interrupt enable
	Tick50us = 0;
}

void Waitms(unsigned int Num)
{
    Tick1ms = 0;
    while(Tick1ms<Num);
}

void interrupt isr(void) // function name is a don't care
{
	if(T0IF) {				// timer interrupt
		TMR0 -= 250; 		// reload the timer - 250uS per interrupt
		T0IF = 0;			// clear the interrupt flag
		Tick50us++;
		if(Tick50us==20){ 
			Tick1ms++;
			Tick50us = 0;
		}
	}
}
